### Method

# WebKit PolicyDecision use_with_policies

since: 2.30

#### Declaration [src]

    void
    webkit_policy_decision_use_with_policies (
      WebKitPolicyDecision* decision,
      WebKitWebsitePolicies* policies
    )

#### Description [src]

Accept the navigation action and continue with provided `policies`.

Accept the navigation action which triggered this decision, and continue with `policies` affecting all subsequent loads of resources in the origin associated with the accepted navigation action.

For example, a navigation decision to a video sharing website may be accepted under the priviso no movies are allowed to autoplay. The autoplay policy in this case would be set in the `policies`.

Available since: 2.30

#### Parameters

`policies`

  Type: `WebKitWebsitePolicies`

  A `WebKitWebsitePolicies`.

  The data is owned by the caller of the method.